=== debian/changelog ===
dtknotifications (1.0.3-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 17 Jan 2023 14:12:30 +0800

dtknotifications (1.0.3) unstable; urgency=medium

  * Release 1.0.3

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 17 Jan 2023 13:47:41 +0800

dtknotifications (1.0.0) unstable; urgency=medium

  * Initial Release.

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 07 Dec 2022 15:42:59 +0800
