=== debian/control ===
Source: dtknotifications
Section: libs
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
  debhelper-compat (= 12),
  cmake,
  doxygen,
  qhelpgenerator-qt5 | qttools5-dev-tools,
  qtbase5-dev,
  libdtkcore-dev
Standards-Version: 4.5.0
Homepage: https://github.com/linuxdeepin/dtknotifications
Vcs-Browser: https://github.com/linuxdeepin/dtknotifications
Vcs-Git: https://github.com/linuxdeepin/dtknotifications.git

Package: libdtknotifications1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Development Tool Kit notifications library
 libdtknotifications is base library of Deepin Qt/C++ applications,
 used to develop applications which want to access and control notifications.
 This package contains the shared libraries.

Package: libdtknotifications-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdtknotifications1 (= ${binary:Version}), ${misc:Depends}
Description: Development Tool Kit notifications librar
 libdtknotifications is base library of Deepin Qt/C++ applications,
 used to develop applications which want to access and control notifications.
 This package contains the header files and static libraries.
